## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global __python %{__python3}
Name:           vulkan-headers
Version:        1.3.290.0
Release:        %autorelease
Summary:        Vulkan Header files and API registry

License:        Apache-2.0
URL:            https://github.com/KhronosGroup/Vulkan-Headers
Source0:        %url/archive/vulkan-sdk-%{version}.tar.gz#/Vulkan-Headers-sdk-%{version}.tar.gz

BuildRequires:  cmake3
BuildRequires:  ninja-build
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildArch:      noarch       

%description
Vulkan Header files and API registry

%prep
%autosetup -n Vulkan-Headers-vulkan-sdk-%{version}


%build
%cmake3 -DCMAKE_INSTALL_LIBDIR=%{_libdir} -GNinja
%cmake_build


%install
%cmake_install


%files
%license LICENSE.md
%doc README.md
%{_includedir}/vulkan/
%{_includedir}/vk_video/
%dir %{_datadir}/vulkan/
%dir %{_datadir}/cmake/VulkanHeaders/
%{_datadir}/vulkan/registry/
%{_datadir}/cmake/VulkanHeaders/*.cmake


%changelog
## START: Generated by rpmautospec
* Wed Aug 14 2024 José Expósito <jexposit@redhat.com> - 1.3.290.0-1
- Update to 1.3.290.0 SDK

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.283.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon May 27 2024 José Expósito <jexposit@redhat.com> - 1.3.283.0-1
- Update to 1.3.283.0 SDK

* Tue Apr 02 2024 José Expósito <jexposit@redhat.com> - 1.3.280.0-1
- Update to 1.3.280.0 SDK

* Wed Feb 21 2024 Teoh Han Hui <teohhanhui@gmail.com> - 1.3.275.0-1
- Update to 1.3.275.0 SDK

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.268.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Oct 30 2023 José Expósito <jexposit@redhat.com> - 1.3.268.0-1
- update to 1.3.268.0 SDK

* Tue Sep 05 2023 Dave Airlie <airlied@redhat.com> - 1.3.261.1-2
- fix LICENSE.txt -> LICENSE.md

* Tue Sep 05 2023 Dave Airlie <airlied@redhat.com> - 1.3.261.1-1
- update to 1.3.261.1 sdk

* Mon Sep 04 2023 Dave Airlie <airlied@redhat.com> - 1.3.250.0-3
- migrated to SPDX license

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.250.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jun 19 2023 Dave Airlie <airlied@redhat.com> - 1.3.250.0-1
- update to 1.3.250.0 sdk release

* Mon Apr 17 2023 Dave Airlie <airlied@redhat.com> - 1.3.243.0-2
- update to 1.3.243.0 SDK

* Mon Apr 17 2023 Dave Airlie <airlied@redhat.com> - 1.3.243.0-1
- update to 1.3.243.0 SDK

* Tue Jan 31 2023 Dave Airlie <airlied@redhat.com> - 1.3.239.0-2
- fixup build reqs and packaging

* Mon Jan 30 2023 Dave Airlie <airlied@redhat.com> - 1.3.239.0-1
- update to 1.3.239.0 SDK

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.231.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Nov 09 2022 Dave Airlie <airlied@redhat.com> - 1.3.231.1-1
- update vulkan headers to 1.3.231.1 SDK

* Tue Aug 23 2022 Dave Airlie <airlied@redhat.com> - 1.3.224.0-1
- Update to 1.3.224.0 SDK release

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.216.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jun 16 2022 Dave Airlie <airlied@redhat.com> - 1.3.216.0-1
- Update to 1.3.216.0 SDK release

* Wed Apr 27 2022 Dave Airlie <airlied@redhat.com> - 1.3.211.0-2
- drop . in cmake to fix build

* Wed Apr 27 2022 Dave Airlie <airlied@redhat.com> - 1.3.211.0-1
- Update to 1.3.211.0 SDK release

* Tue Feb 15 2022 Dave Airlie <airlied@redhat.com> - 1.3.204.0-1
- Update to 1.3.204.0 SDK release

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.198.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 23 2021 Dave Airlie <airlied@redhat.com> - 1.2.198.0-1
- Update to 1.2.198.0 upstream

* Tue Sep 07 2021 Dave Airlie <airlied@redhat.com> - 1.2.189.0-1
- Update to 1.2.189.0 upstream

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.182.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jul 06 2021 Dave Airlie <airlied@redhat.com> - 1.2.182.0-1
- Update to 1.2.182.0 upstream

* Tue May 18 2021 Dave Airlie <airlied@redhat.com> - 1.2.176.0-2
- add vk_video headers

* Tue May 18 2021 Dave Airlie <airlied@redhat.com> - 1.2.176.0-1
- Update to 1.2.176.0 upstream

* Thu Jan 28 2021 Dave Airlie <airlied@redhat.com> - 1.2.162.0-1
- Update to 1.2.162.0 upstream

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.154.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Nov 03 2020 Dave Airlie <airlied@redhat.com> - 1.2.154.0-1
- Update to 1.2.154.0 headers

* Tue Aug 04 2020 Dave Airlie <airlied@redhat.com> - 1.2.148.0-2
- update sources

* Tue Aug 04 2020 Dave Airlie <airlied@redhat.com> - 1.2.148.0-1
- Update to 1.2.148.0 headers

* Thu Jul 30 2020 Adam Jackson <ajax@redhat.com> - 1.2.135.0-3
- Explicitly pass -C %%{_vpath_builddir} to fix F33's cmake

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.135.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Apr 21 2020 Dave Airlie <airlied@redhat.com> - 1.2.135.0-1
- Update to 1.2.135.0 headers

* Tue Jan 28 2020 Dave Airlie <airlied@redhat.com> - 1.2.131.1-1
- Update to 1.2.131.1 headers

* Tue Nov 12 2019 Dave Airlie <airlied@redhat.com> - 1.1.126.0-1
- Update to 1.1.126.0 headers

* Mon Jul 29 2019 Dave Airlie <airlied@redhat.com> - 1.1.114.0-1
- Update to 1.1.114.0 headers

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.108.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jun 25 2019 Dave Airlie <airlied@redhat.com> - 1.1.108.0-1
- Update to 1.1.108.0 headers

* Thu Apr 18 2019 Dave Airlie <airlied@redhat.com> - 1.1.106.0-1
- Update to 1.1.106.0 headers

* Tue Mar 05 2019 Dave Airlie <airlied@redhat.com> - 1.1.101.0-1
- Update to 1.1.101.0 headers

* Wed Feb 13 2019 Dave Airlie <airlied@redhat.com> - 1.1.97.0-2
- update sources

* Wed Feb 13 2019 Dave Airlie <airlied@redhat.com> - 1.1.97.0-1
- Update to 1.1.97.0 headers

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.92.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Dec 02 2018 Dave Airlie <airlied@redhat.com> - 1.1.92.0-1
- Update to 1.1.92.0

* Sat Oct 20 2018 leigh123linux <leigh123linux@googlemail.com> - 1.1.85.0-1
- Update to 1.1.85.0

* Tue Aug 07 2018 leigh123linux <leigh123linux@googlemail.com> - 1.1.82.0-1
- Update to 1.1.82.0

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.77.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Jun 27 2018 leigh123linux <leigh123linux@googlemail.com> - 1.1.77.0-2
- readd lost readme

* Tue Jun 26 2018 leigh123linux <leigh123linux@googlemail.com> - 1.1.77.0-1
- Initial import
## END: Generated by rpmautospec
