## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           vulkan-loader
Version:        1.3.290.0
Release:        %autorelease
Summary:        Vulkan ICD desktop loader

License:        Apache-2.0
URL:            https://github.com/KhronosGroup/Vulkan-Loader
Source0:        %url/archive/vulkan-sdk-%{version}.tar.gz#/Vulkan-Loader-sdk-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake3
BuildRequires:  ninja-build
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  vulkan-headers = %{version}
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xrandr)

Provides:       vulkan%{?_isa} = %{version}-%{release}
Provides:       vulkan = %{version}-%{release}
Obsoletes:      vulkan < %{version}-%{release}
Provides:       vulkan-filesystem = %{version}-%{release}
Obsoletes:      vulkan-filesystem < %{version}-%{release}

%if 0%{?fedora} <= 27
%ifarch x86_64 i686 
Requires:       mesa-vulkan-drivers%{?_isa}
%endif
%else
Recommends:     mesa-vulkan-drivers%{?_isa}
%endif

%description
This project provides the Khronos official Vulkan ICD desktop 
loader for Windows, Linux, and MacOS.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       vulkan-headers
Provides:       vulkan-devel%{?_isa} = %{version}-%{release}
Provides:       vulkan-devel = %{version}-%{release}
Obsoletes:      vulkan-devel < %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n Vulkan-Loader-vulkan-sdk-%{version}


%build
%cmake3 -GNinja -DCMAKE_BUILD_TYPE=Release
%cmake_build


%install
%cmake_install

# create the filesystem
mkdir -p %{buildroot}%{_sysconfdir}/vulkan/{explicit,implicit}_layer.d/ \
%{buildroot}%{_datadir}/vulkan/{explicit,implicit}_layer.d/ \
%{buildroot}{%{_sysconfdir},%{_datadir}}/vulkan/icd.d


%ldconfig_scriptlets


%files
%license LICENSE.txt
%doc README.md CONTRIBUTING.md
%dir %{_sysconfdir}/vulkan/
%dir %{_sysconfdir}/vulkan/explicit_layer.d/
%dir %{_sysconfdir}/vulkan/icd.d/
%dir %{_sysconfdir}/vulkan/implicit_layer.d/
%dir %{_datadir}/vulkan/
%dir %{_datadir}/vulkan/explicit_layer.d/
%dir %{_datadir}/vulkan/icd.d/
%dir %{_datadir}/vulkan/implicit_layer.d/
%{_libdir}/*.so.*

%files devel
%{_libdir}/pkgconfig/vulkan.pc
%{_libdir}/*.so
%dir %{_libdir}/cmake/VulkanLoader/
%{_libdir}/cmake/VulkanLoader/*.cmake

%changelog
## START: Generated by rpmautospec
* Wed Aug 14 2024 José Expósito <jexposit@redhat.com> - 1.3.290.0-1
- Update to 1.3.290.0 SDK

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.283.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jun 06 2024 José Expósito <jexposit@redhat.com> - 1.3.283.0-2
- Own %%{_libdir}/cmake/VulkanLoader/

* Mon May 27 2024 José Expósito <jexposit@redhat.com> - 1.3.283.0-1
- Update to 1.3.283.0 SDK

* Wed Apr 03 2024 José Expósito <jexposit@redhat.com> - 1.3.280.0-1
- Update to 1.3.280.0 SDK

* Wed Feb 21 2024 José Expósito <jexposit@redhat.com> - 1.3.275.0-1
- Update to 1.3.275.0 SDK

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.268.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Oct 30 2023 José Expósito <jexposit@redhat.com> - 1.3.268.0-1
- update to 1.3.268.0 SDK

* Tue Sep 05 2023 Dave Airlie <airlied@redhat.com> - 1.3.261.1-1
- update to 1.3.261.1 sdk release

* Mon Sep 04 2023 Dave Airlie <airlied@redhat.com> - 1.3.250.0-3
- migrated to SPDX license

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.250.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jun 19 2023 Dave Airlie <airlied@redhat.com> - 1.3.250.0-1
- update to 1.3.250.0 sdk release

* Thu Apr 20 2023 Dave Airlie <airlied@redhat.com> - 1.3.243.0-1
- update to 1.3.243 sdk

* Tue Jan 31 2023 Dave Airlie <airlied@redhat.com> - 1.3.239.0-1
- update to vulkan loader 1.3.239.0

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.231.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Nov 09 2022 Dave Airlie <airlied@redhat.com> - 1.3.231.1-2
- add missing sources

* Wed Nov 09 2022 Dave Airlie <airlied@redhat.com> - 1.3.231.1-1
- update  vulkan loader to 1.3.231.1 sdk release

* Wed Aug 24 2022 Dave Airlie <airlied@redhat.com> - 1.3.224.0-1
- Update to 1.3.224.0

* Fri Jul 29 2022 Jeremy Newton <Jeremy.Newton@amd.com> - 1.3.216.0-3
- Fixes RHBZ#2112433

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.216.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jun 16 2022 Dave Airlie <airlied@redhat.com> - 1.3.216.0-1
- Update to 1.3.216.0

* Wed Apr 27 2022 Dave Airlie <airlied@redhat.com> - 1.3.211.0-2
- drop . from cmake line

* Wed Apr 27 2022 Dave Airlie <airlied@redhat.com> - 1.3.211.0-1
- Update to 1.3.211.0

* Wed Apr 27 2022 Dave Airlie <airlied@redhat.com> - 1.3.204.0-2
- Update to 1.3.211.0

* Tue Feb 15 2022 Dave Airlie <airlied@redhat.com> - 1.3.204.0-1
- Update to 1.3.204.0

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.198.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 23 2021 Dave Airlie <airlied@redhat.com> - 1.2.198.0-1
- Update to 1.2.198.0

* Tue Sep 07 2021 Dave Airlie <airlied@redhat.com> - 1.2.189.0-1
- Update to 1.2.189.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.182.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jul 06 2021 Dave Airlie <airlied@redhat.com> - 1.2.182.0-2
- Update to 1.2.182.0 loader

* Tue Jul 06 2021 Dave Airlie <airlied@redhat.com> - 1.2.182.0-1
- Update to 1.2.182.0 loader

* Tue May 18 2021 Dave Airlie <airlied@redhat.com> - 1.2.176.0-2
- drop unused patch

* Tue May 18 2021 Dave Airlie <airlied@redhat.com> - 1.2.176.0-1
- Update to 1.2.176.0 loader

* Fri Jan 29 2021 Dave Airlie <airlied@redhat.com> - 1.2.162.0-3
- Fix regression with vulkan loader upstream

* Thu Jan 28 2021 Dave Airlie <airlied@redhat.com> - 1.2.162.0-2
- fix build requires

* Thu Jan 28 2021 Dave Airlie <airlied@redhat.com> - 1.2.162.0-1
- Update to 1.2.162.0 loader

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.154.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Nov 03 2020 Dave Airlie <airlied@redhat.com> - 1.2.154.1-1
- Update to 1.2.154.1 loader

* Thu Oct 08 2020 Dave Airlie <airlied@redhat.com> - 1.2.148.1-2
- fixup build requires

* Thu Oct 08 2020 Dave Airlie <airlied@redhat.com> - 1.2.148.1-1
- Update to 1.2.148.1 loader - fixes layer loading issue

* Tue Aug 04 2020 Dave Airlie <airlied@redhat.com> - 1.2.148.0-1
- Update to 1.2.148.0 loader

* Tue Aug 04 2020 Dave Airlie <airlied@redhat.com> - 1.2.135.0-4
- Update to 1.2.148.0 loader

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.135.0-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.135.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Apr 21 2020 Dave Airlie <airlied@redhat.com> - 1.2.135.0-1
- Update to 1.2.135.0

* Tue Jan 28 2020 Dave Airlie <airlied@redhat.com> - 1.2.131.1-1
- Update to 1.2.131.1

* Tue Nov 12 2019 Dave Airlie <airlied@redhat.com> - 1.1.126.0-1
- Update to 1.1.126.0

* Wed Jul 31 2019 Dave Airlie <airlied@redhat.com> - 1.1.114.0-1
- Update to 1.1.114.0

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.108.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jun 25 2019 Dave Airlie <airlied@redhat.com> - 1.1.108.0-1
- Update to 1.1.108.0

* Wed Mar 06 2019 Dave Airlie <airlied@redhat.com> - 1.1.101.0-1
- Update to 1.1.101.0

* Wed Feb 13 2019 Dave Airlie <airlied@redhat.com> - 1.1.97.0-1
- Update to 1.1.97.0

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.92.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Dec 03 2018 Dave Airlie <airlied@redhat.com> - 1.1.92.0-3
- Update to 1.1.92.0

* Sun Dec 02 2018 Dave Airlie <airlied@redhat.com> - 1.1.92.0-2
- Update to 1.1.92.0

* Sun Dec 02 2018 Dave Airlie <airlied@redhat.com> - 1.1.92.0-1
- Update to 1.1.92.0

* Mon Nov 19 2018 Dave Airlie <airlied@redhat.com> - 1.1.85.0-1
- Update to 1.1.85.0

* Tue Sep 18 2018 Adam Jackson <ajax@redhat.com> - 1.1.82.0-3
- BuildRequires: python3-devel for RHEL compatibility

* Tue Aug 07 2018 leigh123linux <leigh123linux@googlemail.com> - 1.1.82.0-2
- Fix build

* Tue Aug 07 2018 leigh123linux <leigh123linux@googlemail.com> - 1.1.82.0-1
- Update to 1.1.82.0

* Thu Aug 02 2018 leigh123linux <leigh123linux@googlemail.com> - 1.1.77.0-9
- add isa provides for obsolete vulkan-devel

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.77.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jul 09 2018 Igor Gnatenko <ignatenko@redhat.com> - 1.1.77.0-7
- add BuildRequires: gcc-c++,gcc

* Wed Jun 27 2018 leigh123linux <leigh123linux@googlemail.com> - 1.1.77.0-6
- readd lost readme

* Wed Jun 27 2018 leigh123linux <leigh123linux@googlemail.com> - 1.1.77.0-5
- Fix update path

* Tue Jun 26 2018 leigh123linux <leigh123linux@googlemail.com> - 1.1.77.0-4
- Add conditional for mesa-vulkan-drivers requires

* Tue Jun 26 2018 leigh123linux <leigh123linux@googlemail.com> - 1.1.77.0-3
- update changelog

* Tue Jun 26 2018 leigh123linux <leigh123linux@googlemail.com> - 1.1.77.0-2
- Improve description and set release

* Tue Jun 26 2018 leigh123linux <leigh123linux@googlemail.com> - 1.1.77.0-1
- Initial import
## END: Generated by rpmautospec
